<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" [nzLoading]="isLoading[0]"
      style="margin-bottom: 10px; text-align: center;">
      <ng-template #profileTpl>
        {{ country?.name }}
      </ng-template>
      <app-entity-avatar *ngIf="country" entityType="country" [(avatar)]="country.flagLocation"></app-entity-avatar>
      <div>
        {{ "Politics.Countries.CapitalRegion" | translate }}: <a [routerLink]="['/region', country?.capital?.id]">{{
          country?.capital?.name }}</a>
      </div>

      <div style="margin-top: 5px" *ngIf="country?.borderClosedUntilGameDay">
        <nz-tag nzColor="#f50">{{ "Politics.Countries.BorderClosedUntil" | translate }}:
          {{ country?.borderClosedUntilGameDay }}</nz-tag>
      </div>

      <div style="margin-top: 5px;" *ngIf="country?.protectionEnabledUntilGameDay">
        <nz-tag nzColor="#87d068">{{ "Politics.Countries.ProtectionEnabledUntil" | translate }}:
          {{ country?.protectionEnabledUntilGameDay }}
        </nz-tag>
      </div>

      <nz-divider></nz-divider>

      <button class="button-basic" nz-button nzShape="round" [routerLink]="['/donate/country', country?.id]" nz-tooltip
        nzTooltipTitle='{{ "Common.Buttons.Donate" | translate }}'>
        <i class="fas fa-donate"></i>
      </button>

      <button *ngIf="currentRoles?.length === 0" class="button-basic" nzShape="round" nz-button
        (click)="requestCitizenshipModalVisible = true" nz-tooltip
        nzTooltipTitle='{{ "Common.Buttons.JoinThisCountry" | translate }}'>
        <i class="fas fa-file-contract"></i>
      </button>

    </nz-card>
  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">
    <nz-card nzSize="small" [nzLoading]="isLoading[0]">

      <nz-tabset *ngIf="country" [nzSelectedIndex]="tabIndex" (nzSelectChange)="onTabIndexChanged($event)" nzCentered>
        <nz-tab nzTitle='{{ "Citizen.Society" | translate }}'>
          <ng-template nz-tab>
            <ul nz-list nzBordered nzSize="small">
              <nz-list-item>
                <span nz-typography>{{ "Citizen.ActiveCitizens" | translate }}</span>
                {{ country.population }}
              </nz-list-item>
            </ul>

            <!-- <h3 nz-title>{{ "Citizen.Society" | translate }}</h3> -->

            <app-moderator-notes-list *ngIf="country" [entityId]="country?.id" entityType="country">
            </app-moderator-notes-list>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Common.Regions" | translate }}' nzForceRender="false">
          <ng-template nz-tab>
            <app-country-regions [countryId]="id"></app-country-regions>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Notification.Category.Economy" | translate }}'>
          <ng-template nz-tab>
            <app-country-economy [countryId]="id"></app-country-economy>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Notification.Category.Politics" | translate }}' nzForceRender="false">
          <ng-template nz-tab>
            <app-country-politics *ngIf="currentRoles" [currentRoles]="currentRoles" [country]="country">
            </app-country-politics>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Notification.Category.Military" | translate }}'>
          <ng-template nz-tab>
            <app-country-military *ngIf="country" [country]="country"></app-country-military>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Politics.Administration" | translate }}' nzForceRender="false">
          <ng-template nz-tab>
            <app-country-administration *ngIf="currentRoles" [currentRoles]="currentRoles" [countryId]="id">
            </app-country-administration>
          </ng-template>
        </nz-tab>

        <nz-tab nzTitle='{{ "Politics.Countries.joinRequests" | translate }}' nzForceRender="false" key="citizenships">
          <ng-template nz-tab>
            <app-country-requests [countryId]="id"></app-country-requests>
          </ng-template>
        </nz-tab>
      </nz-tabset>
    </nz-card>

  </div>
</div>

<nz-modal [(nzVisible)]="requestCitizenshipModalVisible" nzTitle='{{ "Citizen.citizenshipRequest" | translate }}'
  (nzOnCancel)="requestCitizenshipModalVisible = false" (nzOnOk)="joinCountry()">
  <ng-container *nzModalContent>
    <h3>{{ "Common.Reason" | translate }}</h3>
    <textarea rows="4" nz-input [(ngModel)]="requestCitizenshipReason" placeholder="Reason"></textarea>
  </ng-container>
</nz-modal>